/** @file ListIndexOutOfRangeException.h 
  * ListIndexOutOfRangeException class (Carrano p. 162) 
  */

#ifndef _LIST_EXCEPT_RANGE_H
#define _LIST_EXCEPT_RANGE_H

#include <stdexcept>
#include <string>

/// ListIndexOutOfRangeException class.
/**
  * Exception class used for invalid index
  */
class ListIndexOutOfRangeException: public std::out_of_range
{
public:
  /**
   * Creates exception initialized with a message.
   * @param message exception message string
   */
   ListIndexOutOfRangeException(const std::string & message = "")
                        : std::out_of_range(message.c_str())
   { }
}; // end ListIndexOutOfRangeException

#endif

