/** @file io_functions.cpp
 *
 * Contains C++ functions for printing menus, reading input values, etc.
 * @author Braun
 * @date 9/16/13
 */

#include "io_functions.h"

using namespace std;

/**Prints main program menu
 * @pre  none
 * @post none
 */
void printMenu(){
   cout << "1) Print the length of the list" << endl;
   cout << "2) Insert an item into the list" << endl;
   cout << "3) Delete an item from the list" << endl;
   cout << "4) Retrieve an item (by index)" << endl;
   cout << "5) Search for an item (by value)" << endl;
   cout << "6) Reverse the list" << endl;
   cout << "7) Display the list" << endl;
   cout << "8) Quit the program" << endl;
}

/**Reads, validates, and returns a positive integer
 * @pre  User has been prompted to enter an integer
 * @post none
 * @return positive integer value
 */
int getInt(){
  int intValue = 0;
  string inputStr;
  do{
    getline(cin, inputStr);
    stringstream(inputStr) >> intValue;
    if(intValue < 1) cout << "ERROR - please enter a positive integer> ";
  } while(intValue < 1);
  return intValue;
}

/**
  * Prompts for a list item and returns it to caller
  * @return list item
  * @remarks Accepts strings with spaces
  */
string getItem()
{
  string item;
  cout << "Enter the list item> ";
  getline(cin, item);
  return item;
}

